> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Revisions



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/revisions
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/revisions:
    get:
      tags:
        - Revisions
      summary: List Revisions
      operationId: RevisionsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: slotId
          required: true
          in: path
          schema:
            type: string
        - name: includeArchived
          required: false
          in: query
          schema:
            default: 'false'
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevisionListResponseDto'
components:
  schemas:
    RevisionListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/RevisionDto'
        archivedCount:
          type: number
      required:
        - items
        - archivedCount
    RevisionDto:
      type: object
      properties:
        type:
          enum:
            - version
            - issue
            - revision
          type: string
        id:
          type: string
        label:
          type: string
          nullable: true
        releaseType:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        issueDate:
          type: string
        notes:
          type: string
          nullable: true
        actorUserId:
          type: string
          nullable: true
        actorName:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        lineCount:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        archivedAt:
          type: string
          nullable: true
        archivedByName:
          type: string
          nullable: true
      required:
        - type
        - id
        - label
        - releaseType
        - issueDate
        - notes
        - actorUserId
        - actorName
        - sourceId
        - lineCount
        - createdAt
        - updatedAt
        - archivedAt
        - archivedByName

````